#pragma once

#include "CoreMinimal.h"
#include "EStoreRecommendationCustomizationItemCategories.h"
#include "StoreRecommendationCustomizationItemValue.generated.h"

USTRUCT(BlueprintType)
struct FStoreRecommendationCustomizationItemValue
{
	GENERATED_BODY()

public:
	UPROPERTY(EditAnywhere)
	EStoreRecommendationCustomizationItemCategories Category;

	UPROPERTY(EditAnywhere, BlueprintReadWrite)
	FString Outfit;

	UPROPERTY(EditAnywhere, BlueprintReadWrite)
	FString Item;

	UPROPERTY(EditAnywhere)
	uint32 Weight;

public:
	DEADBYDAYLIGHT_API FStoreRecommendationCustomizationItemValue();
};

FORCEINLINE uint32 GetTypeHash(const FStoreRecommendationCustomizationItemValue) { return 0; }
